Benutzer-Werkzeuge

Webseiten-Werkzeuge


bastelprojekte:menuconfig

Unterschiede

Hier werden die Unterschiede zwischen zwei Versionen angezeigt.

Link zu dieser Vergleichsansicht

Nächste Überarbeitung
Vorhergehende Überarbeitung
bastelprojekte:menuconfig [2020/05/06 05:07] – angelegt und code blutsaugerbastelprojekte:menuconfig [2020/06/17 00:02] (aktuell) blutsauger
Zeile 1: Zeile 1:
-Ein Script, das die Konfiguration eines Routers per ssh erlaubt, und die ganzen uci Kommandos in einem Text-GUI verpackt. Ähnlich dem Web-Konfigurator - der ist aber nur verfügbar, wenn man direkt am Gerät sitzt.+Ein Script, das die Konfiguration eines Routers per ssh erlaubt, und die ganzen uci Kommandos in einem Text-GUI verpackt. Ähnlich dem Web-Konfigurator - letzterer ist aber nur verfügbar, wenn man direkt am Gerät sitzt. 
 Man muss sich auf seinem lokalem Linux-Rechner das Paket 'dialog' installieren (apt-get install dialog oder ähnliches). Dann aufrufen mit der IPV6-Adresse des zu konfigurierenden Routers: Man muss sich auf seinem lokalem Linux-Rechner das Paket 'dialog' installieren (apt-get install dialog oder ähnliches). Dann aufrufen mit der IPV6-Adresse des zu konfigurierenden Routers:
  
-./menuconfig aaa.bbbb.cccc.dddd.eeee.ffff.gggg.hhhh+./menuconfig.sh aaa.bbbb.cccc.dddd.eeee.ffff.gggg.hhhh 
 + 
 +{{:bastelprojekte:ff-menuconfig.png?400|}} 
 + 
 +Ich werde das Script von Zeit zu Zeit hier im Wiki aktualisieren. 
 +Letzter Stand 2020-06-17 (oder in der History nachsehen).
  
 <file> <file>
Zeile 94: Zeile 100:
 # As long as we cannot run this script locally on a FF node, it is  # As long as we cannot run this script locally on a FF node, it is 
 # necessary to exchange data via ssh. # necessary to exchange data via ssh.
-# Give the IPV6 address ass command line argument $1. +# Give the IPV6 address as command line argument $1. 
 # These variables are initialized in the main entry point # These variables are initialized in the main entry point
 # at the very bottom of this file. # at the very bottom of this file.
Zeile 122: Zeile 128:
     # -x: no X11 redirection     # -x: no X11 redirection
     ssh -x -l root $g_node_ip "$@"     ssh -x -l root $g_node_ip "$@"
-    if [ $!= 0 ]; then+    # The code below will destroy the precious return code in $?. 
 +    RESULT=$? 
 +    if [ $RESULT != 0 ]; then
         echo "Error in: $@" 1>&2         echo "Error in: $@" 1>&2
     fi     fi
 +    return $RESULT
 } }
  
Zeile 264: Zeile 273:
  
         # If key is not found, assume '1' as default         # If key is not found, assume '1' as default
 +
         ff_sshcmd uci get network.mesh_lan.disabled || echo 1         ff_sshcmd uci get network.mesh_lan.disabled || echo 1
     else     else
Zeile 534: Zeile 544:
  
         # Set new value.         # Set new value.
-        ff_sshcmd uci set button-bind.wifi.function=$1+        ff_sshcmde uci set button-bind.wifi.function=$1 
 +        ff_sshcmde uci commit button-bind
     fi     fi
 } }
Zeile 546: Zeile 557:
     # g_xxx for global variables     # g_xxx for global variables
  
-    echo "Reading system configuration..."+    echo "------------------------------------------------------------" 
 +    echo "Reading system configuration.
 +    echo "Please don't get confused by error messages.
 +    echo "They happen, when certain features of a router are missing.
 +    echo "This will take a while." 
 +    echo "------------------------------------------------------------"
  
     g_hostname=`ff_pretty_hostname`     g_hostname=`ff_pretty_hostname`
Zeile 860: Zeile 876:
 Mesh WAN disabled:      $g_mesh_wan_disabled\n\ Mesh WAN disabled:      $g_mesh_wan_disabled\n\
 Mesh LAN disabled:      $g_mesh_lan_disabled\n\ Mesh LAN disabled:      $g_mesh_lan_disabled\n\
 +Ch Update preserve:     $radio0_preserve_channel\n\
 --radio0--                        --radio1--\n\ --radio0--                        --radio1--\n\
 hwmode:              $radio0_hwmode $radio0_freq  hwmode:              $g_radio1_hwmode $g_radio1_freq\n\ hwmode:              $radio0_hwmode $radio0_freq  hwmode:              $g_radio1_hwmode $g_radio1_freq\n\
 channel:             $radio0_channel           channel:             $g_radio1_channel\n\ channel:             $radio0_channel           channel:             $g_radio1_channel\n\
-Ch Update preserve:  $radio0_preserve_channel            Ch Update preserve:  $radio1_preserve_channel\n\ 
 Mesh disabled:       $g_mesh_radio0_disabled            Mesh disabled:       $g_mesh_radio1_disabled\n\ Mesh disabled:       $g_mesh_radio0_disabled            Mesh disabled:       $g_mesh_radio1_disabled\n\
 Client disabled:     $g_client_radio0_disabled            Client disabled:     $g_client_radio1_disabled\n\ Client disabled:     $g_client_radio0_disabled            Client disabled:     $g_client_radio1_disabled\n\
Zeile 1169: Zeile 1185:
 Do NOT connect a client PC on that port.\n\ Do NOT connect a client PC on that port.\n\
 Instead, connect another FF router with mesh enabled on that port.\n\n\ Instead, connect another FF router with mesh enabled on that port.\n\n\
-This connection is faster than to daisy-chain a second routers uplink (blue) +This connection is faster, since only one router has to do VPN 
-into the regular PC port (LAN, yellow).\n\n\+encryption. Or use an Offloader.\n\n\
 Default is OFF, and meshing only happens over WLAN.\n\n\ Default is OFF, and meshing only happens over WLAN.\n\n\
 Routers with only one single port: probably one must try\n\ Routers with only one single port: probably one must try\n\
-LAN or WAN to find the right interface.\n\ +LAN or WAN to find the right interface.\n\n\ 
-Mesh VPN: enable this, to allow user clients to connect to the internet.\n\ +Mesh VPN: allow the router to share its own internet connection\n\ 
-Usually you want this enabled. Except the router is only used to\n\ +with other routers via WiFi. Usually you want this enabled." 20 70
-forward packets without allowing user client connections." 20 70+
                 # No break here, go back to start of while loop                 # No break here, go back to start of while loop
                 ;;                 ;;
Zeile 1210: Zeile 1225:
     elif [ "$g_mesh_radio0_disabled" != "1" ]; then     elif [ "$g_mesh_radio0_disabled" != "1" ]; then
         echo "ffm_wifi_options() - invalid value g_mesh_radio0_disabled=$g_mesh_radio0_disabled"         echo "ffm_wifi_options() - invalid value g_mesh_radio0_disabled=$g_mesh_radio0_disabled"
 +        echo "Should be '0' or '1'".
 +        echo "There must be at least one WiFi interface available."
 +        echo -n "Press ENTER..."
         read x         read x
         return         return
Zeile 1219: Zeile 1237:
     elif [ "$g_client_radio0_disabled" != "1" ]; then     elif [ "$g_client_radio0_disabled" != "1" ]; then
         echo "ffm_wifi_options() - invalid value g_client_radio0_disabled=$g_client_radio0_disabled"         echo "ffm_wifi_options() - invalid value g_client_radio0_disabled=$g_client_radio0_disabled"
 +        echo "Should be '0' or '1'".
 +        echo "There must be at least one WiFi interface available."
 +        echo -n "Press ENTER..."
         read x         read x
         return         return
bastelprojekte/menuconfig.1588741640.txt.gz · Zuletzt geändert: 2020/05/06 05:07 von blutsauger

Donate Powered by PHP Valid HTML5 Valid CSS Driven by DokuWiki